icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

Exhibit Engine < 1.5 RC 5 list.php Multiple Parameter SQL Injection

High

Synopsis

The remote host is running Exhibit Engine, a web-based PHP application for sharing photos.

Description

The remote host is running Exhibit Engine, a web-based PHP application for sharing photos. This version of Exhibit Engine is vulnerable to a remote SQL injection flaw. An attacker exploiting this flaw would send a malformed HTTP query to the application. Successful exploitation would result in the attacker being able to read or write confidential data. In addition, the attacker may be able to execute arbitrary code on the remote database server.

Solution

Upgrade to version 1.5 RC 5 or higher.